<xsd:schema
  targetNamespace='https://grenardi.lv/esef/2025-12-31'
  xmlns:GrenardiGroup='https://grenardi.lv/esef/2025-12-31'
  xmlns:link='http://www.xbrl.org/2003/linkbase'
  xmlns:xlink='http://www.w3.org/1999/xlink'
  xmlns:xs='http://www.w3.org/2001/XMLSchema'
  xmlns:xsd='http://www.w3.org/2001/XMLSchema'
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
>

<xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
<xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>

  <xsd:import
    namespace='http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower'
    schemaLocation='http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd'
   />
  <xsd:import
    namespace='https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor'
    schemaLocation='https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd'
   />



  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xlink:href='https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-lv.xml' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-lv.xml' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='9845008F599B95980934-2025-12-31_lab-lv.xml' xlink:role='http://www.xbrl.org/2003/role/labelLinkbaseRef' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='9845008F599B95980934-2025-12-31_lab-en.xml' xlink:role='http://www.xbrl.org/2003/role/labelLinkbaseRef' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='9845008F599B95980934-2025-12-31_cal.xml' xlink:role='http://www.xbrl.org/2003/role/calculationLinkbaseRef' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='9845008F599B95980934-2025-12-31_def.xml' xlink:role='http://www.xbrl.org/2003/role/definitionLinkbaseRef' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />
      <link:linkbaseRef xlink:href='9845008F599B95980934-2025-12-31_pre.xml' xlink:role='http://www.xbrl.org/2003/role/presentationLinkbaseRef' xlink:arcrole='http://www.w3.org/1999/xlink/properties/linkbase' xlink:type='simple' />

        <link:roleType id="id_1" roleURI="https://grenardi.lv/esef/2025-12-31/roles/Anchoring">
            <link:definition>Role for anchoring relationships</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_2" roleURI="https://grenardi.lv/xbrl/role/all/esef_role-000000">
            <link:definition>[000000] Jāizmanto marķējuma zīmes, ja attiecīgā informācija ir sniegta pārskatā</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_3" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-210000">
            <link:definition>[210000] Finanšu stāvokļa pārskats, īstermiņa/ilgtermiņa klasifikācija</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_4" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-410000">
            <link:definition>[410000] Apvienoto ienākumu pārskats, pārējos apvienotajos ienākumos atspoguļotie komponenti, pēc nodokļu atskaitīšanas</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_5" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-610000">
            <link:definition>[610000] Pašu kapitāla izmaiņu pārskats</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_6" roleURI="https://grenardi.lv/xbrl/role/all/ias_12_role-835110">
            <link:definition>[835110] Piezīmes – Ienākuma nodokļi</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_7" roleURI="https://grenardi.lv/xbrl/role/all/ias_16_role-822100">
            <link:definition>[822100] Piezīmes – Pamatlīdzekļi</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_8" roleURI="https://grenardi.lv/xbrl/role/all/ias_7_role-520000">
            <link:definition>[520000] Naudas plūsmu pārskats, netiešā metode</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_9" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_13_role-823000">
            <link:definition>[823000] Piezīmes – Patiesās vērtības novērtējums</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_10" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_5_role-825900">
            <link:definition>[825900] Piezīmes – Pārdošanai turēti ilgtermiņa aktīvi un pārtrauktas darbības</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_11" roleURI="https://grenardi.lv/xbrl/role/all/ias_38_role-823180a">
            <link:definition>[823180a] Piezīmes – Nemateriālie aktīvi - Informācijas atklāšana par nemateriālo aktīvu un nemateriālās vērtības izmaiņu saskaņošanu</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_12" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_16_role-832610a">
            <link:definition>[832610a] Piezīmes – Nomas līgumi - Kvantitatīvas informācijas atklāšana par lietošanas tiesību aktīviem</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_13" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-810000a">
            <link:definition>[810000a] Piezīmes – Informācija par uzņēmumu un paziņojums par atbilstību SFPS - Informācijas atklāšana par summām, ko paredzēts atgūt vai samaksāt pēc divpadsmit mēnešiem, par aktīvu un saistību klasēm, kas ietver summas, kuras nav paredzēts atgūt vai samaksāt un kuras paredzēts atgūt vai samaksāt vairāk kā divpadsmit mēnešus pēc pārskata datuma</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_14" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-861200a">
            <link:definition>[861200a] Piezīmes – Akciju kapitāls, rezerves un cita kapitāla līdzdalība - Informācijas atklāšana par pamatkapitāla klasēm</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_15" roleURI="https://grenardi.lv/xbrl/role/all/ias_36_role-832410c">
            <link:definition>[832410c] Piezīmes – Aktīvu vērtības samazināšanās - Informācijas atklāšana par naudu ienesošām vienībām</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_16" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_1_role-819100a">
            <link:definition>[819100a] Piezīmes – Pirmreizējā piemērošana - Tādas salīdzinošās informācijas atklāšana, kas sagatavota saskaņā ar iepriekšējiem vispārpieņemtiem grāmatvedības principiem</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_17" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_12_role-825700b">
            <link:definition>[825700b] Piezīmes – Līdzdalība citos uzņēmumos - Informācijas atklāšana par asociētajiem uzņēmumiem</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_18" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_12_role-825700d">
            <link:definition>[825700d] Piezīmes – Līdzdalība citos uzņēmumos - Informācijas atklāšana par kopuzņēmumiem</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_19" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_13_role-823000a">
            <link:definition>[823000a] Piezīmes – Patiesās vērtības novērtējums - Informācijas atklāšana par saistību patiesās vērtības novērtējumu</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>
        <link:roleType id="id_20" roleURI="https://grenardi.lv/xbrl/role/all/ifrs_8_role-871100a">
            <link:definition>[871100a] Piezīmes – Uzņēmējdarbības segmenti - Informācijas atklāšana par uzņēmējdarbības segmentiem</link:definition>
            <link:usedOn>link:definitionLink</link:usedOn>
            <link:usedOn>link:presentationLink</link:usedOn>
            <link:usedOn>link:calculationLink</link:usedOn>
        </link:roleType>

    </xsd:appinfo>
  </xsd:annotation>

    <xsd:element abstract="false" id="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" name="AvansaMaksājumiParNemateriālajiemIeguldījumiem" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="debit"
    />
    <xsd:element abstract="false" id="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" name="IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="duration" xbrli:balance="debit"
    />
    <xsd:element abstract="false" id="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" name="IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="debit"
    />
    <xsd:element abstract="false" id="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" name="IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="duration" xbrli:balance="debit"
    />
    <xsd:element abstract="false" id="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" name="KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="debit"
    />
    <xsd:element abstract="false" id="GrenardiGroup_ParādiAsociētajāmSabiedrībām" name="ParādiAsociētajāmSabiedrībām" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="credit"
    />


</xsd:schema>
